/*
 * main.c
 *
 * Created: 3/12/2024 3:43:49 PM
 *  Author: DatNgo
 */ 

#include <xc.h>
#include <avr/io.h>
#include <util/delay.h>

#define DELAY_TIME 500

int main(void) {
   unsigned char mask=0x01, dir=0;
   DDRB = 0xff; // PORTB 출력 모드
   while(1) {
      PORTB = 0xff^mask;
      _delay_ms(DELAY_TIME);
      if (dir==0) {
         mask = mask<<1;
         if (mask==0x00) {
            mask = 0x40;
            dir = 1;
         }
      } else {
         mask = mask>>1;
         if (mask==0x00) {
            mask = 0x02;
            dir = 0;
         }
      }
   }
}