/*
 * main.c
 *
 * Created: 3/12/2024 9:01:07 PM
 *  Author: DatNgo
 */ 

#include <xc.h>
#include <avr/io.h>
#include <util/delay.h>

#define DELAY_TIME 500

int main(void)
{
   unsigned char button;
   DDRB = 0xff; // PORTB 출력 모드
   DDRC = 0x00; // PORTC 입력 모드
   PORTC = 0xff; // PORTC pull-up, 버턴 누름 -> PINCn = 0
   while(1)
   {
      button = PINC;
      PORTB = button;
      _delay_ms(DELAY_TIME);
   }
}